<?php
/**
 * Email Headers - BadgeOS Email Header.
 *
 * @package BadgeOS
 */

$badgeos_admin_tools                 = ! empty( badgeos_utilities::get_option( 'badgeos_admin_tools' ) ) ? badgeos_utilities::get_option( 'badgeos_admin_tools' ) : array();
$email_general_background_color      = ! empty( $badgeos_admin_tools['email_general_background_color'] ) ? $badgeos_admin_tools['email_general_background_color'] : '#ffffff';
$email_general_body_background_color = ! empty( $badgeos_admin_tools['email_general_body_background_color'] ) ? $badgeos_admin_tools['email_general_body_background_color'] : '#f6f6f6';
$email_general_body_text_color       = ! empty( $badgeos_admin_tools['email_general_body_text_color'] ) ? $badgeos_admin_tools['email_general_body_text_color'] : '#000000';
?>
<!doctype html>
<html>
<head>
	<meta name="viewport" content="width=device-width">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>Simple Email</title>
	<style>
	/* -------------------------------------
		INLINED WITH htmlemail.io/inline
	------------------------------------- */
	/* -------------------------------------
		RESPONSIVE AND MOBILE FRIENDLY STYLES
	------------------------------------- */
	@media only screen and (max-width: 620px) {
	table[class=body] h1 {
		font-size: 28px !important;
		margin-bottom: 10px !important;
	}
	table[class=body] p,
			table[class=body] ul,
			table[class=body] ol,
			table[class=body] td,
			table[class=body] span,
			table[class=body] a {
		font-size: 16px !important;
	}
	table[class=body] .wrapper,
			table[class=body] .article {
		padding: 10px !important;
	}
	table[class=body] .content {
		padding: 0 !important;
	}
	table[class=body] .container {
		padding: 0 !important;
		width: 100% !important;
	}
	table[class=body] .main {
		border-left-width: 0 !important;
		border-radius: 0 !important;
		border-right-width: 0 !important;
	}
	table[class=body] .btn table {
		width: 100% !important;
	}
	table[class=body] .btn a {
		width: 100% !important;
	}
	table[class=body] .img-responsive {
		height: auto !important;
		max-width: 100% !important;
		width: auto !important;
	}
	}
	/* -------------------------------------
		PRESERVE THESE STYLES IN THE HEAD
	------------------------------------- */
	@media all {
	.ExternalClass {
		width: 100%;
	}
	.ExternalClass,
			.ExternalClass p,
			.ExternalClass span,
			.ExternalClass font,
			.ExternalClass td,
			.ExternalClass div {
		line-height: 100%;
	}
	.apple-link a {
		color: inherit !important;
		font-family: inherit !important;
		font-size: inherit !important;
		font-weight: inherit !important;
		line-height: inherit !important;
		text-decoration: none !important;
	}
	.btn-primary table td:hover {
		background-color: #34495e !important;
	}
	.btn-primary a:hover {
		background-color: #34495e !important;
		border-color: #34495e !important;
	}
	}
	</style>
</head>
<body class="" style="background-color: <?php echo esc_attr( $email_general_body_background_color ); ?>; font-family: sans-serif; -webkit-font-smoothing: antialiased; font-size: 14px; line-height: 1.4; margin: 0; padding: 0; -ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;">
	<table border="0" cellpadding="0" cellspacing="0" class="body" style="border-collapse: separate; mso-table-lspace: 0pt; mso-table-rspace: 0pt; width: 100%; background-color: <?php echo esc_attr( $email_general_body_background_color ); ?>;">
	<tr>
		<td style="font-family: sans-serif; font-size: 14px; vertical-align: top;">&nbsp;</td>
		<td class="container" style="font-family: sans-serif; font-size: 14px; vertical-align: top; display: block; Margin: 0 auto; max-width: 580px; padding: 10px; width: 580px;">
		<div class="content" style="box-sizing: border-box; display: block; Margin: 0 auto; max-width: 580px; padding: 10px;">

			<!-- START CENTERED WHITE CONTAINER -->
			<span class="preheader" style="color: transparent; display: none; height: 0; max-height: 0; max-width: 0; opacity: 0; overflow: hidden; mso-hide: all; visibility: hidden; width: 0;"><?php echo isset( $badgeos_admin_tools['badgeos_tools_email_preheader_text'] ) ? esc_attr( $badgeos_admin_tools['badgeos_tools_email_preheader_text'] ) : ''; ?></span>
			<table class="main" style="color:<?php echo esc_attr( $email_general_body_text_color ); ?>;border-collapse: separate; mso-table-lspace: 0pt; mso-table-rspace: 0pt; width: 100%; background: <?php echo esc_attr( $email_general_background_color ); ?>; border-radius: 3px;">
			<tr> 
				<td class="wrapper" style="font-family: sans-serif; font-size: 14px; text-align: center; vertical-align: top; box-sizing: border-box; padding: 20px;">
				<img src="<?php echo isset( $badgeos_admin_tools['badgeos_tools_email_logo_url'] ) ? esc_url( $badgeos_admin_tools['badgeos_tools_email_logo_url'] ) : ''; ?>" width="80px" />
				</td>
			</tr>
			<!-- START MAIN CONTENT AREA -->
			<tr> 
			<td class="wrapper" style="font-family: sans-serif; font-size: 14px;vertical-align: top; box-sizing: border-box; padding: 20px;">	
